Bug 148773 - [PATCH] graphics/aaphoto: update to 0.38
Summary: [PATCH] graphics/aaphoto: update to 0.38
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philippe Audeoud
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-19 21:00 UTC by baptiste.daroussin
Modified: 2010-07-20 15:40 UTC (History)
1 user (show)

See Also:


Attachments
aaphoto-0.38.patch (1.95 KB, patch)
2010-07-19 21:00 UTC, baptiste.daroussin
no flags Details | Diff
patch.txt (2.06 KB, text/plain)
2010-07-19 21:53 UTC, Andras Horvath
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description baptiste.daroussin 2010-07-19 21:00:03 UTC
- Update to 0.38
- Add license
- Use ONLY_FOR_ARCHS

Port maintainer (han@log69.com) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-07-19 21:00:22 UTC
Maintainer of graphics/aaphoto,

Please note that PR ports/148773 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148773

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-07-19 21:00:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Mark Linimon 2010-07-19 21:02:44 UTC
On Mon, Jul 19, 2010 at 09:59:04PM +0200, Bapt wrote:
> +ONLY_FOR_ARCHS=	amd64 i386
>  
> -.if ${ARCH} != "amd64" && ${ARCH} != "i386"
> -BROKEN=		Does not compile on !amd64 and !i386
> -.endif

actually I prefer the styling that is there, if we think that it will
be fixed at some future time.  ONLY_FOR, to me, means that it would
never work without a rewrite or something.

mcl
Comment 4 Andras Horvath 2010-07-19 21:53:50 UTC
I created a second patch to test it before i upload. I attach it to
this e-mail too.

The only thing to change compared to the original would be to apply the
OpenMP directive and switch only on amd64 and i386 platforms and above
OS 7.0, otherwise not. If i'm correct, then that should take care of
other platforms too, where GCC 4.2 is not available with OpenMP support.


On Mon, 19 Jul 2010 20:00:22 UT
Edwin Groothuis <edwin@FreeBSD.org> wrote:

> Maintainer of graphics/aaphoto,
> 
> Please note that PR ports/148773 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148773
> 
Comment 5 Philippe Audeoud freebsd_committer 2010-07-20 07:53:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jadawin

I'll take it.
Comment 6 dfilter service freebsd_committer 2010-07-20 15:35:32 UTC
jadawin     2010-07-20 14:35:18 UTC

  FreeBSD ports repository

  Modified files:
    graphics/aaphoto     Makefile distinfo 
    graphics/aaphoto/files patch-Makefile.in 
  Log:
  - Update to 0.38
  - Add license
  
  PR:             ports/148773
  Submitted by:   Bapt <baptiste.daroussin _AT_ gmail.com>
  Approved by:    maintainer
  Reworked by:    maintainer
  
  Revision  Changes    Path
  1.12      +5 -7      ports/graphics/aaphoto/Makefile
  1.7       +3 -3      ports/graphics/aaphoto/distinfo
  1.2       +1 -1      ports/graphics/aaphoto/files/patch-Makefile.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Philippe Audeoud freebsd_committer 2010-07-20 15:37:08 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!